I'm getting this error while using Unity Dots

Deterministic compilation failed. You can disable Deterministic builds in Player Settings
Library\PackageCache\com.unity.multiplayer-hlapi@1.0.4\Editor\Tools\Weaver\AssemblyInfo.cs(22,28): error CS8357: The specified version string contains wildcards, which are not compatible with determinism. Either remove wildcards from the version string, or disable determinism for this compilation

Easy fix:

Make sure Visual Studio is CLOSED.
Open up the csproj file for your project using a text editor like Notepad ++.
Change the following value from true to false: false
Save the csproj file and open up Visual Studio.
Open your solution and the wildcard build will work.

Or… go to Project Settings > Player > Other Settings and switch off Deterministic Build.